Bug 204125 - Review Request: tremulous-data - Data files for tremulous the FPS game
Review Request: tremulous-data - Data files for tremulous the FPS game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-25 14:32 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 02:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-08-25 14:32:39 EDT
Spec URL: http://people.atrpms.net/~hdegoede/tremulous-data.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tremulous-data-1.1.0-1.src.rpm
Description:
Data files for tremulous the Quake 3 based FPS game

---

Notice that this package requires tremulous to be usefull, see bug 204121 for the tremulous review.

Also I unfortunatly uploaded the binary noarch file instead of the SRPM, so you have to wait for atleast an hour after the submission of this bug before donwloading the SRPM, so that the SRPM upload can finish (yes its huge).

If you want the data in the mean time to test the tremulous engine package, its here:
http://people.atrpms.net/~hdegoede/tremulous-data-1.1.0-1.noarch.rpm
Comment 1 Hans de Goede 2006-08-25 14:45:02 EDT
Woops, I forgot one other very important thing, the COPYING file included in this 
package says:
---------------------------------------------------------- Tremulous License --

Tremulous is licensed in two broadly separate sections: the code and the media.

The code is licensed under the GNU GENERAL PUBLIC LICENSE. This license is
contained in full in the file named GPL. Please be aware of the exceptions to
this license as listed below.

The media is licensed under the CREATIVE COMMONS ATTRIBUTION-SHAREALIKE 2.5
LICENSE. Please read http://creativecommons.org/licenses/by-sa/2.5/ to learn
more about this license. The full license text is contained in the file named
CC. Please be aware of the exceptions to this license as listed below.

--------------------------------------------------- Media License Exceptions --

All shaderlab (http://www.shaderlab.com/) textures (by Randy 'ydnar' Reddig)
are subject to the following license:

  Usage and redistribution policy: Textures may be freely downloaded, modified,
  and used in free maps, mods or total conversions provided this copyright
  notice is left intact and a link to Shaderlab is provided in the credits or
  read-me file. Other non-commercial applications are considered on a
  case-by-case basis via e-mail. All other usage requires written permission.
  Bulk redistribution or archival of the textures in any medium, digital or
  otherwise (except mapping packages for mods) is prohibited.

This non free exception no longer is valid. There has been some discussion about
this on debian-legal where it it claimed that the involved textures have been
relicensed / rereleased by Randy 'ydnar' Reddig under the same CC license as the
rest of the tremulous data. I know such a claim in itself is not good enough to
distribute so I've contacted Randy 'ydnar' Reddig myself and this was his reply:

---

I already released the Tremulous textures (I think) under a CC license so it
could be included with Debian. This should suffice for FC right?

Randy

---

Which unfortunatly is still a bit vague, but has made me believe that Debians
claim is valid. I've asked Randy for a more clear statement with regard to the
license, to have something sane to include into the SRPM. I myself concider not
having this statement a blocker, but I expect to receive it soon and wanted to
start the review process now.
Comment 2 Hans de Goede 2006-08-27 07:15:51 EDT
Since Randy (the author of the shaderlab textures) has dropped of the radar
again and I read in some Debian mails that Randy had given upstream permission
to relicense his stuff under the CC license, I've mailed upstream. Here is their
response:

---

On Sun, 27 Aug 2006 10:36:40 +0200 Hans wrote:
> > First a short intro, I'm a Linux enthousiast and developer. Lately I'm
> > mainly spending my time packaging good games for the Fedora
> > distribution. I've recently packaged tremulous for inclusion into
> > Fedora. However the license on the shaderlab textures is stopping us
> > from shipping tremulous at the moment (because it doesn't match our
> > licensing guidelines). I've heard from left and right that Randy has
> > released these Textures under the same CC license as the rest of the
> > tremulous content and that he has send you an official statement that
> > those textures may be shipped with tremulous under this CC license.
> > Can you confirm this, or even better forward Randy's message to me?

"This is for all the textures & other assets that Tremulous uses.

I hereby place all copies of my work in Tremulous 1.1.0 (either in whole
or in part) under the Creative Commons Attribution-ShareAlike licence
version 2.5. Users are also hereby licenced to apply any newer version
of the Creative Commons ShareAlike licence as they wish.

Cheers,

Randy Reddig"

---

So that clears the licensing issue with tremulous and now we're good to go to
release it. Can someone please review this?
Comment 3 Hans de Goede 2006-09-04 11:03:46 EDT
I've made a new version whcih properly includes the copyright exception removal
which makes this distributable:
* Mon Sep  4 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.1.0-2
- Add fedora-copyright.txt to %doc, which explains and contains the lifting of
  the shaderlab license exception, which makes this package distributable by
  Fedora

Go get it here:
Spec URL: http://people.atrpms.net/~hdegoede/tremulous-data.spec
SRPM URL: http://people.atrpms.net/~hdegoede/tremulous-data-1.1.0-2.src.rpm

For the copyright exception text see:
http://people.atrpms.net/~hdegoede/tremulous-data-copyright.txt

Can someone please review this now? Several people have requested this package
from me and now its done nobody wants to review it, thats kinda frustrating.
Comment 4 Matthias Saou 2006-09-04 11:55:10 EDT
Preliminary comments :

This notice seems like a leftover from a copy/paste of the main spec file :
# this is basicly
# http://dl.sourceforge.net/tremulous/tremulous-%{version}.zip
# repackaged with tremulous-%{version}-src.tar.gz  removed as that contains
# non Free software (the lcc compiler).

- Why do you hardcode the name and more importantly the version in the Source0
line? This can lead to the typical case where you increase the "Verrsion:" line
but forget the Source0 one and the resulting package seems to be the new version
when it's still the old ;-) Some people prefer like that, but in the main
tremulous package you use %{version}.
- The cp %{SOURCE1} fedora-copyright.txt should be replaced by "install -p -m
0644 %{SOURCE1} fedora-copyright.txt" since a wrong umask could lead to a world
writeable file, like it has already happened in the Extras build system...
- I'd suggest removing the %{?dist} from the release since this data can and
should be shared across all releases (i.e. packages copied as-is for FC-5 and FC-6).
- The %description should end with a dot :-)
Comment 5 Hans de Goede 2006-09-05 02:16:06 EDT
(In reply to comment #4)
> Preliminary comments :
> 
> This notice seems like a leftover from a copy/paste of the main spec file :
> # this is basicly
> # http://dl.sourceforge.net/tremulous/tremulous-%{version}.zip
> # repackaged with tremulous-%{version}-src.tar.gz  removed as that contains
> # non Free software (the lcc compiler).
> 

Nope, in tremolous.spec it says:
# this is %{name}-%{version}-src.tar.gz as containted in:
# http://dl.sourceforge.net/%{name}/%{name}-%{version}.zip
# with the src/tools/lcc dir removed as that contains non Free software

Notice the subtile difference, which makes each explain prettty exact what the
tarbal is and how it was created.

> - Why do you hardcode the name and more importantly the version in the Source0
> line? This can lead to the typical case where you increase the "Verrsion:" line
> but forget the Source0 one and the resulting package seems to be the new version
> when it's still the old ;-) Some people prefer like that, but in the main
> tremulous package you use %{version}.

I dunno why I did that, fixed.

> - The cp %{SOURCE1} fedora-copyright.txt should be replaced by "install -p -m
> 0644 %{SOURCE1} fedora-copyright.txt" since a wrong umask could lead to a world
> writeable file, like it has already happened in the Extras build system...
Fixed

> - I'd suggest removing the %{?dist} from the release since this data can and
> should be shared across all releases (i.e. packages copied as-is for FC-5 and
FC-6).
> - The %description should end with a dot :-)

Good point, done.

Here is a new spec file, I didn't upload a new SRPM as that is huge:
http://people.atrpms.net/~hdegoede/tremulous-data.spec
Comment 6 Matthias Saou 2006-09-05 05:33:36 EDT
(In reply to comment #5)
> Nope, in tremolous.spec it says:
> # this is %{name}-%{version}-src.tar.gz as containted in:
> # http://dl.sourceforge.net/%{name}/%{name}-%{version}.zip
> # with the src/tools/lcc dir removed as that contains non Free software
> 
> Notice the subtile difference, which makes each explain prettty exact what the
> tarbal is and how it was created.

Sorry, I got confused. I see what you mean now.

I still don't see any dot at the end of the %description :-)
Anyway, here we go for the formal review.

- License is CC Attribution-ShareAlike, which falls into the "binary firmware"
  exception, since it is redistribuable and doesn't have any commercial use
  restrictions, good
- rpmlint complains only about the License, good
- Spec file seems fine, three minor nitpicks :
  - The Source1 "tremulous-copyright.txt" gets installed as
    "fedora-copyright.txt", why two different names?
  - Maybe you should uncomment the %build line, even though the section is
    empty, since IIRC not having %build has already caused weird things to
    happen.
  - It's "basically", not "basicly".
- Builds and runs (with the main tremulous of course) fine, good

Most other MUST/SHOULD don't apply, so for me the package is APPROVED. Don't
forget to build it only for a single distro and request the packages to be
copied over in order to save space on mirror server (hardlinks) and during upgrades.
Comment 7 Hans de Goede 2006-09-05 15:09:27 EDT
(In reply to comment #6)
> - Spec file seems fine, three minor nitpicks :
>   - The Source1 "tremulous-copyright.txt" gets installed as
>     "fedora-copyright.txt", why two different names?

The name starting with tremulous is to make clear to which package it belongs
when the src rpm gets installed and the files dropped under /usr/src/redhat/SOURCES

Since under /usr/share/doc it already is in a tremulous dir the trmulous in the
name isn't needed and since the file is added to meet the fedora copyright
guidelines I call it fedora-copyright.txt .

>   - Maybe you should uncomment the %build line, even though the section is
>     empty, since IIRC not having %build has already caused weird things to
>     happen.

I actually commented it because in another review of a similar data only package
the reviewer wanted it commented, so I'm leaving it as is as this seems to work
fine for the other package.

>   - It's "basically", not "basicly".

Fixed

I'm importing it now (slow slow lookaside cache upload, at times like the the A
in ADSL sucks).
Comment 8 Hans de Goede 2006-09-06 02:35:54 EDT
Thanks BTW!

Imported and Build,

Closing

Note You need to log in before you can comment on or make changes to this bug.